import java.text.DateFormat;
import java.text.FieldPosition;
import java.text.ParseException;
import java.text.ParsePosition;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;


public class DateFunction {
	
	public static SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd hh:mm");
	
	public static int calculJour(Date debut, Date fin){
		
		Calendar dateCourante = Calendar.getInstance();
		Calendar dateFin = Calendar.getInstance();
		
		dateCourante.setTime(debut);
		dateFin.setTime(fin);
		
		int nbJour = 0;
		
		long diffMillis = dateFin.getTimeInMillis() - dateCourante.getTimeInMillis();
		/* Parcours les jours de l'objet Date, permet de prendre en compte le changement de mois */
		while(diffMillis >= 86400000  ) {
			nbJour++;
			dateCourante.add(Calendar.DATE, 1);
			//Dcrmente la diffrence
			diffMillis = dateFin.getTimeInMillis() - dateCourante.getTimeInMillis();
		}
				
		return nbJour;
	}
	
	public static int [] calculHeure(Date debut, Date fin) {
		
		Calendar calDebut = Calendar.getInstance();
		Calendar calFin = Calendar.getInstance();
		
		calDebut.setTime(debut);
		calFin.setTime(fin);
		
		
		int heureDebut = calDebut.get(Calendar.AM_PM | Calendar.HOUR);
		int minDebut = calDebut.get(Calendar.MINUTE);
		int heureFin = calFin.get(Calendar.AM_PM | Calendar.HOUR);
		int minFin = calFin.get(Calendar.MINUTE);
		
		int heureDiff;
		int minDiff;
		int nbHeureTmp;
		int nbMinTmp;
		
		if(heureDebut <= heureFin)  nbHeureTmp = heureFin - heureDebut;
		else {
			heureDiff = 24 - heureDebut;
			nbHeureTmp = heureDiff + heureFin;
		}
		
		if(minDebut <= minFin) nbMinTmp = minFin - minDebut;
		else {
			minDiff = minDebut - minFin; //Valeurs positive
			nbMinTmp = 60 - minDiff;
			
			if(nbHeureTmp == 0) nbHeureTmp = 24; //NbHeureTmp = 0 revient  dire 24h
			
			nbHeureTmp--;
		}
		
		int [] time = {nbHeureTmp, nbMinTmp};
		
		return time;
	}
}
